summaryrefslogtreecommitdiffstats
path: root/tests/test4.tst
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test4.tst')
-rw-r--r--tests/test4.tst14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/test4.tst b/tests/test4.tst
new file mode 100644
index 0000000..c72bdf0
--- /dev/null
+++ b/tests/test4.tst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+source ${CURDIR}/tests/functions
+
+#
+# Test that chroot with more than one arg is not getting passed through a shell
+#
+header "Test that chroot with more than one arg is not getting passed through a shell"
+runcmd "$MOCKCMD --offline --chroot touch '/tmp/{quux,wibble}'"
+if [ ! -f $CHROOT/tmp/\{quux,wibble\} ] || [ -f $CHROOT/tmp/quux ] || [ -f $CHROOT/tmp/wibble ]; then
+ echo "'mock --chroot' with more than one argument is being passed to os.system()"
+ exit 1
+fi
+